net.minecraftforge.liquids

## Interface IBlockLiquid

- All Superinterfaces:
    ILiquid

  Deprecated.

      @Deprecated
      public interface IBlockLiquid
      extends ILiquid

  Implementors of this interface are a liquid which may receive a block implementation and can be placed in the world.
  Author:
    cpw

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IBlockLiquid.BlockType` Deprecated. Controls the type of block that is generated by this IBlockLiquid

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFlowDistance()` Deprecated.
    `String` | `getLiquidBlockTextureFile()` Deprecated. Get the texture file for rendering the liquid
    `NBTTagCompound` | `getLiquidProperties()` Deprecated. Custom properties of the liquid.
    `byte[]` | `getLiquidRGB()` Deprecated.
    `boolean` | `willGenerateSources()` Deprecated. Can this liquid, when placed in a specific configuration, generate new source blocks of the liquid.

    - ### Methods inherited from interface net.minecraftforge.liquids.ILiquid

      `isMetaSensitive, stillLiquidId, stillLiquidMeta`

- - ### Method Detail

    - #### willGenerateSources

          boolean willGenerateSources()

      Deprecated.
      Can this liquid, when placed in a specific configuration, generate new source blocks of the liquid.
      Returns:
        if this liquid will generate new sources

    - #### getFlowDistance

          int getFlowDistance()

      Deprecated.
      Returns:
        the distance this liquid will flow if placed in the world. Maximum of 7 levels for vanilla types.

    - #### getLiquidRGB

          byte[] getLiquidRGB()

      Deprecated.
      Returns:
        the RGB rendering for this liquid

    - #### getLiquidBlockTextureFile

          String getLiquidBlockTextureFile()

      Deprecated.
      Get the texture file for rendering the liquid
      Returns:
        the texture file for this liquid

    - #### getLiquidProperties

          NBTTagCompound getLiquidProperties()

      Deprecated.
      Custom properties of the liquid.
      Returns:
        a compound tag of custom liquid properties